/* nm-novellvpn-service - novellvpn integration with NetworkManager
 *
 * Authors:
 *          Sureshkumar T <tsureshkumar@novell.com>
 * 
 * Based on work by Dan Williams <dcbw@redhat.com>
 *                  Tim Niemueller <tim@niemueller.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef NM_NOVELLVPN_SERVICE_H
#define NM_NOVELLVPN_SERVICE_H

#define NM_DBUS_SERVICE_NOVELLVPN	"org.freedesktop.NetworkManager.novellvpn"
#define NM_DBUS_INTERFACE_NOVELLVPN	"org.freedesktop.NetworkManager.novellvpn"
#define NM_DBUS_PATH_NOVELLVPN	        "/org/freedesktop/NetworkManager/novellvpn"

/* 
   Do not change numbers, only add if needed!
   See properties/nm-novellvpn.c:connection_type_changed() for details
 */

#define NM_NOVELLVPN_CONTYPE_INVALID               -1
#define NM_NOVELLVPN_CONTYPE_GROUPAUTH             0
#define NM_NOVELLVPN_CONTYPE_STDGW                 1

#define KEY_GWTYPE     "gateway-type"
#define KEY_CONN_NAME  "connection_name"
#define KEY_GATEWAY    "remote"
#define KEY_USER_NAME  "username"
#define KEY_GROUP_NAME "group-name"
#define KEY_DHGROUP    "dhgroup"

#define KEY_USER_PWD        "unenc-user-password"
#define KEY_ENC_GRP_PWD     "enc-group-password"
#define KEY_UNENC_GRP_PWD   "unenc-group-password"

#define NM_NOVELLVPN_GWID_NORTEL          0
#define NM_NOVELLVPN_GWTYPE_NORTEL_STRING        "nortel"

typedef enum {
  dhgroup_0,
  DH1,
  DH2
} DHGroup;

#endif
